Bug 60816 - X should run xmbind on startup (where present)
X should run xmbind on startup (where present)
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openmotif (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-07 05:39 EST by Thais Smith
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 05:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thais Smith 2002-03-07 05:39:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
Motif keybindings are wrong unless you're running mwm

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start X using (e.g. KDE)
2. Load a largeish file in nedit
3. Observe how the PageUp and PageDown keys do BOL and EOL rather than page up
and page down.
	

Additional info:

The fix is to run xmbind (part of the openmotif package) before running any
motif apps. Putting a small script in /etc/X11/xinit/xinitrc.d does the trick.
mwm does 'xmbind' itself so it would be redundant in that case, but should be
harmless, and who uses mwm anyway :-)
Comment 1 Ngo Than 2002-03-11 12:23:44 EST
 It's fixed in 2.2.1-2

Note You need to log in before you can comment on or make changes to this bug.